﻿
# Unit tests

#What are we testing?
#Why are we testing?
#How are we testing?

#AAA
-Arrange
-Act
-Assert

-SUT > System Under Test






#Test coverage and false positive test
Having bad tests can be worse than having no tests at all!